<script>
	import { sprintf } from 'sprintf-js';

	import { arabic_number } from '../utils';

	/** @type { import('../types').Surah } */
	export let surah;

	const { bismillah_pre, id, name_arabic, revelation_text, verses_count } = surah;
	const surah_info_text = sprintf( 'آياتها %s', arabic_number( verses_count ) );
</script>

<div class:no-basmalah={! bismillah_pre} id="surah-{id}">
	<h2>{name_arabic}</h2>
	<p class="meta">
		<span>{revelation_text}</span>
		<span class="screen-reader-text">, </span>
		<span>{surah_info_text}</span>
	</p>
	{#if bismillah_pre}
		<p class="basmalah">﷽</p>
	{/if}
</div>

<style>
	div {
		--gap: 0.5rem;

		display: grid;
		gap: var( --gap );
		grid-template-columns: 1fr auto 1fr;
		text-align: center;
	}

	.no-basmalah {
		margin-block-end: var( --gap );
	}

	h2 {
		margin: 0;
		font-size: 1.25rem;
		font-weight: 400;
		line-height: 2;
		grid-column: 2/3;
		grid-row: 1;
		z-index: 2;
	}

	.basmalah {
		margin: unset;
		font-size: 1.25rem;
		grid-column: 1/4;
		grid-row: 2;
	}

	.meta {
		font-size: 1rem;
		margin: 0;
		grid-column: 1/4;
		grid-row: 1;
		display: flex;
		justify-content: space-between;
		align-items: center;
		padding-inline-start: 1rem;
		padding-inline-end: 1rem;
		background-color: var( --c-bg-low );
		border-radius: 3px;
	}
</style>
